Clinia
RegistryRelationships

Get a relationship from the registry

GET
/sources/{sourceKey}/v1/relationships/{relationshipType}/{id}

Get a relationship from the registry.

X-Clinia-API-Key<token>

In: header

Path Parameters

sourceKey*string

The key of the source.

relationshipType*string

The key of the relationship definition.

id*string

The unique identifier of the relationship with the following formats:

  • v1RelationshipID format: {fromID}.{toID} (e.g. 123.456).
  • v1Identifier format: {system}:{value}:{use} (e.g. clinia:123:use).

Query Parameters

includes?array<string>

List of resource types to includes with the response. Includes must be valid resource types for the given relationship definition.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/sources/string/v1/relationships/string/string"
{  "id": "string",  "type": "string",  "from": {    "id": "string",    "type": "string"  },  "to": {    "id": "string",    "type": "string"  },  "meta": {    "createdAt": "2019-08-24T14:15:22Z",    "identifier": [      {        "id": "string",        "system": "string",        "value": "string",        "use": "string",        "period": {          "id": "string",          "start": "string",          "end": "string"        }      }    ],    "source": "string",    "updatedAt": "2019-08-24T14:15:22Z"  },  "data": {},  "includes": {    "property1": [      {        "id": "string",        "type": "string",        "meta": {          "createdAt": "2019-08-24T14:15:22Z",          "identifier": [            {              "id": "string",              "system": "string",              "value": "string",              "use": "string",              "period": {                "id": "string",                "start": "string",                "end": "string"              }            }          ],          "source": "string",          "updatedAt": "2019-08-24T14:15:22Z"        },        "data": {},        "contained": {          "property1": [            {              "id": "string",              "type": "string",              "meta": {                "createdAt": "2019-08-24T14:15:22Z",                "identifier": [                  {                    "id": "string",                    "system": "string",                    "value": "string",                    "use": "string",                    "period": {                      "id": "string",                      "start": "string",                      "end": "string"                    }                  }                ],                "source": "string",                "updatedAt": "2019-08-24T14:15:22Z"              },              "data": {}            }          ],          "property2": [            {              "id": "string",              "type": "string",              "meta": {                "createdAt": "2019-08-24T14:15:22Z",                "identifier": [                  {                    "id": "string",                    "system": "string",                    "value": "string",                    "use": "string",                    "period": {                      "id": "string",                      "start": "string",                      "end": "string"                    }                  }                ],                "source": "string",                "updatedAt": "2019-08-24T14:15:22Z"              },              "data": {}            }          ]        }      }    ],    "property2": [      {        "id": "string",        "type": "string",        "meta": {          "createdAt": "2019-08-24T14:15:22Z",          "identifier": [            {              "id": "string",              "system": "string",              "value": "string",              "use": "string",              "period": {                "id": "string",                "start": "string",                "end": "string"              }            }          ],          "source": "string",          "updatedAt": "2019-08-24T14:15:22Z"        },        "data": {},        "contained": {          "property1": [            {              "id": "string",              "type": "string",              "meta": {                "createdAt": "2019-08-24T14:15:22Z",                "identifier": [                  {                    "id": "string",                    "system": "string",                    "value": "string",                    "use": "string",                    "period": {                      "id": "string",                      "start": "string",                      "end": "string"                    }                  }                ],                "source": "string",                "updatedAt": "2019-08-24T14:15:22Z"              },              "data": {}            }          ],          "property2": [            {              "id": "string",              "type": "string",              "meta": {                "createdAt": "2019-08-24T14:15:22Z",                "identifier": [                  {                    "id": "string",                    "system": "string",                    "value": "string",                    "use": "string",                    "period": {                      "id": "string",                      "start": "string",                      "end": "string"                    }                  }                ],                "source": "string",                "updatedAt": "2019-08-24T14:15:22Z"              },              "data": {}            }          ]        }      }    ]  }}